# MVC API Documentation

## Open Endpoints

Open endpoints require no Authentication.

* [Login](doc/login.md) : `POST /api/login/`
* Get all users data : `GET /api.php/users/`
* Show data of a user : `GET /api.php/user/{id}`
* Create a new user : `POST /api.php/user/{id}`
* Delete a user : `DELETE /api.php/user/{id}` Should be a closed endpoint.

## Endpoints that require Authentication

Closed endpoints require a valid Token to be included in the header of the
request. 

* Update data : `PUT /api.php/user/{id}`

